Package org.apache.commons.jxpath

# Class JXPathBasicBeanInfo

java.lang.Object
org.apache.commons.jxpath.JXPathBasicBeanInfo

All Implemented Interfaces:
  `Serializable`, `JXPathBeanInfo`

public class JXPathBasicBeanInfo extends Object implements JXPathBeanInfo
An implementation of JXPathBeanInfo based on JavaBeans' BeanInfo. Properties advertised by JXPathBasicBeanInfo are the same as those advertised by BeanInfo for the corresponding class.

See Also:
  - `BeanInfo`
  - `Introspector`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JXPathBasicBeanInfo(Class clazz)`
  Constructs a new JXPathBasicBeanInfo.
  `JXPathBasicBeanInfo(Class clazz, boolean atomic)`
  Constructs a new JXPathBasicBeanInfo.
  `JXPathBasicBeanInfo(Class clazz, Class dynamicPropertyHandlerClass)`
  Constructs a new JXPathBasicBeanInfo.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class`
  `getDynamicPropertyHandlerClass()`
  Gets the DynamicPropertyHandler class for a dynamic class.
  `PropertyDescriptor`
  `getPropertyDescriptor(String propertyName)`
  Gets a PropertyDescriptor for the specified name or null if there is no such property.
  `PropertyDescriptor[]`
  `getPropertyDescriptors()`
  Gets a list of property descriptors for the beans described by this bean info object.
  `boolean`
  `isAtomic()`
  Tests whether objects of this class are treated as atomic objects which have no properties of their own.
  `boolean`
  `isDynamic()`
  Return true if the corresponding objects have dynamic properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JXPathBasicBeanInfo

    public JXPathBasicBeanInfo(Class clazz)
    Constructs a new JXPathBasicBeanInfo.
    Parameters:
      `clazz` - bean class

  - ### JXPathBasicBeanInfo

    public JXPathBasicBeanInfo(Class clazz, boolean atomic)
    Constructs a new JXPathBasicBeanInfo.
    Parameters:
      `clazz` - bean class
      `atomic` - whether objects of this class are treated as atomic objects which have no properties of their own.

  - ### JXPathBasicBeanInfo

    public JXPathBasicBeanInfo(Class clazz, Class dynamicPropertyHandlerClass)
    Constructs a new JXPathBasicBeanInfo.
    Parameters:
      `clazz` - bean class
      `dynamicPropertyHandlerClass` - dynamic property handler class

- ## Method Details

  - ### getDynamicPropertyHandlerClass

    public Class getDynamicPropertyHandlerClass()
    Gets the DynamicPropertyHandler class for a dynamic class.
    Specified by:
      `getDynamicPropertyHandlerClass` in interface `JXPathBeanInfo`
    Returns:
      the DynamicPropertyHandler class for a dynamic class.

  - ### getPropertyDescriptor

    public PropertyDescriptor getPropertyDescriptor(String propertyName)
    Description copied from interface: `JXPathBeanInfo`
    Gets a PropertyDescriptor for the specified name or null if there is no such property.
    Specified by:
      `getPropertyDescriptor` in interface `JXPathBeanInfo`
    Parameters:
      `propertyName` - property name
    Returns:
      PropertyDescriptor

  - ### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors()
    Description copied from interface: `JXPathBeanInfo`
    Gets a list of property descriptors for the beans described by this bean info object. Returns null for atomic beans.
    Specified by:
      `getPropertyDescriptors` in interface `JXPathBeanInfo`
    Returns:
      PropertyDescriptor[]

  - ### isAtomic

    public boolean isAtomic()
    Tests whether objects of this class are treated as atomic objects which have no properties of their own.
    Specified by:
      `isAtomic` in interface `JXPathBeanInfo`
    Returns:
      whether objects of this class are treated as atomic objects which have no properties of their own.

  - ### isDynamic

    public boolean isDynamic()
    Return true if the corresponding objects have dynamic properties.
    Specified by:
      `isDynamic` in interface `JXPathBeanInfo`
    Returns:
      boolean

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`